在Centos 4.x上安装Python 2.4或更高版本

我想在运行在CentOS 4.7上的Django应用程序中使用Python 2.4的function。 Python的默认版本是2.3,我认为最好不要尝试replace它。 有没有办法安装更新版本的Python,并以某种方式告诉Apache使用它的mod_python

是的,只是build立你自己的Python并把它放在别的地方(如/ opt或/ usr / local)。 你需要重buildmod_python,你可以指定新的python位置。

./configure --with-python=/path/to/python2.4 

这里是一个很好的post,关于如何将pythonconfiguration到不同的目录中来安装它http://binarysushi.com/blog/2009/aug/19/CentOS-5-3-python-2-5-virtualevn- MOD-WSGI和-MOD-rpaf /